# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.webmastertools
Class SitemapsNewsEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.webmastertools.SitemapsEntry<SitemapsNewsEntry>
                      com.google.gdata.data.webmastertools.SitemapsNewsEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class SitemapsNewsEntry

extends SitemapsEntry<SitemapsNewsEntry>

This represents a single News sitemap entry in a list of sitemaps. `setPublicationLabel(java.lang.String)` must be called to set the News sitemap publication label.

Nested Class Summary
`static class` `SitemapsNewsEntry.PublicationLabel` Represents node, that is a publication label for News sitemap.

Nested classes/interfaces inherited from class com.google.gdata.data.webmastertools.SitemapsEntry
`SitemapsEntry.LastDownloaded, SitemapsEntry.SitemapStatus, SitemapsEntry.UrlCount`

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`SitemapsNewsEntry()` Constructs a new SitemapsNewsEntry instance
`SitemapsNewsEntry(BaseEntry<?> sourceEntry)` Constructs a new entry by doing a copy from another BaseEntry instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Initializes an ExtensionProfile based upon the extensions expected by a SitemapsNewsEntry.
`java.lang.String` `getPublicationLabel()` Returns publication label for News sitemap.
`void` `setPublicationLabel(java.lang.String value)` Set publication label for News sitemap.
`protected void` `validate()` We validate that publication label is set.

Methods inherited from class com.google.gdata.data.webmastertools.SitemapsEntry
`getSitemapDownloadTime, getSitemapStatus, getSitemapUrlCount, setSitemapDownloadTime, setSitemapStatus, setSitemapUrlCount`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SitemapsNewsEntry

    public SitemapsNewsEntry()

  Constructs a new SitemapsNewsEntry instance

### SitemapsNewsEntry

    public SitemapsNewsEntry(BaseEntry<?> sourceEntry)

  Constructs a new entry by doing a copy from another BaseEntry instance.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Initializes an ExtensionProfile based upon the extensions expected by a SitemapsNewsEntry.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `SitemapsEntry<SitemapsNewsEntry>`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### setPublicationLabel

    public void setPublicationLabel(java.lang.String value)

  Set publication label for News sitemap.

### getPublicationLabel

    public java.lang.String getPublicationLabel()

  Returns publication label for News sitemap.

### validate

    protected void validate()
                     throws java.lang.IllegalStateException

  We validate that publication label is set.

  Overrides:
    `validate` in class `AbstractExtension`
  Throws:
    `java.lang.IllegalStateException` - if any problems are found with the attributes